<div class="container-fluid">
    <!-- DataTales Example --> 
    <div class="card shadow mb-4">
        <div class="card-header py-3">
            <h6 class="m-0 font-weight-bold text-primary">Matrícula</h6>
        </div>
        <div class="card-body">
            <div class="table-responsive">
            	<strong class="{{ styleMensaje }}" style="font-size: 14px;">{{ mensaje }} {{ contTotal }}</strong>
            	<button class="btn btn-primary" style="float: right;" (click)='onMatricular()'>Matricular</button>
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0" style="margin-top: 20px;">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>Descripción</th>
                            <th>Observación</th>
                            <th>Cant. Créditos</th>
                            <th>Acción</th>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                            <th>ID</th>
                            <th>Descripción</th>
                            <th>Observación</th>
                            <th>Cant. Créditos</th>
                            <th>Acción</th>
                        </tr>
                    </tfoot> 
                    <tbody>
                        <tr *ngFor=" let asign of _asignaturas ">
                            <td>{{ asign.id }}</td>
                            <td>{{ asign.descripcion }}</td>
                            <td>{{ asign.observacion }}</td>
                            <th style=" text-align: center;">{{ asign.creditos }}</th>
                            <td style=" text-align: center;">
                            	<div *ngIf='!asign.idUA' >
                            		<input type="checkbox" value="{{ asign.id }} - {{ asign.creditos }}" (click)='onSeleccionar($event)'>
                            	</div>
                            	 <div *ngIf='asign.idUA' >
                            		<strong class="badge badge-info">En Proceso</strong>
                            	</div>
                            </td>
                        </tr> 
                    </tbody>
                </table>
            </div>
        </div>
    </div>

</div>